#include <bits/stdc++.h>
using namespace std;
int main()
{
    ifstream f1("TSNT.inp");
    ofstream f2("TSNT.out");
    long n;
    long e=2;
    long k;
    long tong=0;
    f1>>n;
    for(long j=2;j<n;j++){
        if(n%j==0){
            f2<<n<<"="<<j;
            k=j;
            break;
        }
    }
    n=n/k;
    while(n!=1)
    {
        if(n%e==0)
        {
            f2<<"*"<<e;
            tong=tong+e;
            n=n/e;
        }
        else
            e++;
    }
    f2<<endl;
    f2<<tong+k;
    f1.close();
    f2.close();
    return 0;
}
